Page MenuHomePhabricator

Create project for Fundraising
Closed, ResolvedPublic

Description

Our current Mingle project: https://wikimedia.mingle.thoughtworks.com/projects/online_fundraiser/overview

This project is for members of the WMF fundraising team to manage maintenance and implementation of the fundraising infrastructure.

Event Timeline

atgo created this task.Oct 17 2014, 10:05 PM
atgo updated the task description. (Show Details)
atgo added a project: Phabricator.
atgo changed Security from none to None.
atgo added a subscriber: atgo.

Can we just call this project 'Fundraising' ?

atgo added a comment.Oct 17 2014, 10:24 PM

@chasemp Yes, that's great. Thanks!

https://phabricator.wikimedia.org/tag/fundraising/

Fundraising-Backlog

editable by you, joinable by all for now. unsure what you want. have fun.

Qgil added a subscriber: Qgil.Oct 17 2014, 10:30 PM

Remember that

Visible To All Users

must be Visible To Public

ah yes thanks

Qgil added a comment.Oct 17 2014, 10:41 PM

chasemp changed the edit policy of this Project from "All Users" to "Custom Policy".

In other words, I can't change the policies for Visible even after joining the team. I guess only @atgo can now?

In T682#11645, @Qgil wrote:

In other words, I can't change the policies for Visible even after joining the team. I guess only @atgo can now?

and administrators. (click on "custom policy")

In T682#11648, @jeremyb wrote:
In T682#11645, @Qgil wrote:

In other words, I can't change the policies for Visible even after joining the team. I guess only @atgo can now?

and administrators. (click on "custom policy")

This is true, I don't know what they need so I figured let @atgo decide

atgo added a comment.Oct 17 2014, 10:49 PM

I can! That is interesting that you can't. I don't see you as a member,
@chasemp

Qgil added a comment.Oct 17 2014, 10:52 PM

The current defaults (totally negotiable) are defined at https://www.mediawiki.org/wiki/Phabricator/Help#Requesting_a_new_project

If a team needs something different, then they should specify it when requesting the project. Note that, specially now that we are starting, most teams will not know what they need or want. For instance, we have seen how many new project owners think that defining a project "visible only to team members" will make the related tasks visible only to them, which is not true.

We are creating more teams, and this is just the beginning. From now on, let's stick to the process (including myself, who not always has followed it), and let's improve it if needed.

Byfserag triaged this task as Low priority.Oct 19 2014, 7:05 AM
Byfserag added a subscriber: Byfserag.
Qgil closed this task as Resolved.Oct 24 2014, 8:45 PM
Qgil claimed this task.

Note: https://bugzilla.wikimedia.org/describecomponents.cgi?product=Wikimedia lists a "Fundraising" component with 11 open tickets: https://bugzilla.wikimedia.org/buglist.cgi?component=Fundraising&product=Wikimedia&resolution=---

That stuff should probably be moved / projects on those tasks re-adjusted after importing Bugzilla tickets.

Qgil added a comment.Oct 24 2014, 10:19 PM

OK, good catch. I don't think this is a duplication beyond the name of the project/component, because this project here is to organize the work of the team in Mingle, and the Bugzilla component is something different. The new project created during the Bugzilla will be called Wikimedia-Fundraising, and yes, some polish will need to be done when those bugs land here.

By the way, proof: https://bugzillapreview.wmflabs.org/tag/wikimedia-fundraising/

14 open tasks under "Wikimedia-Fundraising" (imported from Bugzilla): https://phabricator.wikimedia.org/maniphest/query/bSyzmb9u7iGe/#R

@atgo: Any plans to (re)triage them?

atgo added a comment.Dec 1 2014, 7:24 PM

@Aklapper thanks for bringing this to my attention. I'll look into this as we go here.

@atgo: If I can help with cleaning up the now 17 tasks under Wikimedia-Fundraising (and archive that project afterwards? Don't know), let me know how.

atgo added a comment.Jan 9 2015, 8:39 PM

@Aklapper I sort of want to keep that project for the community to submit issues that we can triage into our workflow, but will try to work through the tasks open over there coming up.

Qgil added a comment.Jan 9 2015, 9:47 PM

@atgo, please consider having a single project where all tasks land, and then create sprint projects where you cherry-pick the tasks for the next weeks. Having to monitor one space than having to monitor two spaces. Besides, I guess the traffic of new community tasks is not that big?

Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 25 2015, 4:39 PM
Danny_B edited projects, added Project-Admins; removed Phabricator.Jul 12 2016, 1:27 PM